Subject: bug#58505: Fwd: bug#58505: 29.0.50; Time out waiting for reply from selection owner

From: Daan Ro <[email-masked]>
Date: Sun, 13 Nov 2022 12:11:46 +0700

---------- Forwarded message ---------
From: Daan Ro <[email-masked]>
Date: Sun, Nov 13, 2022 at 12:01 PM
Subject: Re: bug#58505: 29.0.50; Time out waiting for reply from selection
owner
To: Eli Zaretskii <[email-masked]>

Then how about we do that by default, since batch sessions are untouchable
in
the user-space.

If a non-interactive instance really needs to access the clipboard (which
normally doesn't), it can easily set `interprogram-paste-function`.
Disabling
prevents those sessions from influencing the primary interactive one
(doesn't
solve the problem for multiple interactive instances, though).

I am experimenting with this patch.

On Sun, Nov 13, 2022 at 1:13 AM Eli Zaretskii <[email-masked]> wrote:

> > Are there any downsizes to disabling in `noninteractive` sessions only
> (if I have
> > control there)?
>
> If you don't care about copy/paste to or from other applications,
> none.
>

Update: That patch will simply disable interprogram-paste-function
universally,
I need to find a more sophisticated approach.

-- 
Daanturo.